Index: trunk/changelog
===================================================================
--- trunk/changelog	(revision 53)
+++ trunk/changelog	(revision 55)
@@ -1,2 +1,8 @@
+torque (4.1.0-1) unstable; urgency=low
+
+  * New torque release to test
+
+ -- Bas van der Vlies <basv@sara.nl>  Tue, 03 Jul 2012 09:06:02 +0200
+
 torque (2.4.16-2) unstable; urgency=low
 
Index: trunk/conf_torque
===================================================================
--- trunk/conf_torque	(revision 53)
+++ trunk/conf_torque	(revision 55)
@@ -9,22 +9,5 @@
 set -x
 
-
-if [ -f torque_oldconfigure ]
-then
-  LIBS="-lutil" ./configure --prefix=/usr \
- 	--libdir=/usr/lib/torque \
-	--includedir=/usr/include/torque \
-	--set-server-home=/var/spool/torque \
-	--set-tmpdir=/var/tmp \
-	--enable-syslog \
-	--set-sched=c \
-	--set-sched-code=fifo \
-	--set-default-server=localhost \
-	--disable-gui \
-	--set-cflags=" -g -D__PNEWTTY" \
-	--enable-docs \
-	--with-scp
-else
- CFLAGS=" -D_FILE_OFFSET_BITS=64" ./configure --prefix=/usr \
+CFLAGS=" -D_FILE_OFFSET_BITS=64" ./configure --prefix=/usr \
 	--includedir=/usr/include/torque \
 	--with-server-home=/var/spool/torque \
@@ -41,5 +24,2 @@
 	--enable-docs \
 	--with-rcp=scp
-fi
-
-#--libdir=/usr/lib \
Index: trunk/init.d
===================================================================
--- trunk/init.d	(revision 53)
+++ trunk/init.d	(revision 55)
@@ -32,4 +32,5 @@
 PBS_SCHED_OPTS=''
 PBS_SERVER_OPTS='-a t'
+PBS_TRQAUTH_OPTS=""
 
 if [ ! -f $DEFAULT ]
@@ -56,21 +57,30 @@
 }
 
+start_trqauth() {
+        start-stop-daemon --start --quiet --exec $TORQUE_DIR/trqauthd -- $PBS_TRQAUTH_OPTS
+        echo " pbs trqauth"
+}
+
 start_daemons() {
-    check_perms
-
-        if [ "$PBS_SERVER" = "1" ]
-        then
-                start_server
-        fi 
-        
-        if [ "$PBS_SCHED" = "1" ]
-        then
-                start_sched
-        fi 
-        
-        if [ "$PBS_MOM" = "1" ]
-        then
-                start_mom
-        fi
+    check_perms 
+
+    ## Always start trqauth daemon
+    #
+    start_trqauth
+
+    if [ "$PBS_SERVER" = "1" ] 
+    then
+        start_server
+    fi 
+        
+    if [ "$PBS_SCHED" = "1" ]
+    then
+        start_sched
+    fi 
+        
+   if [ "$PBS_MOM" = "1" ]
+   then
+        start_mom
+   fi
 }
 
@@ -94,4 +104,9 @@
 }
 
+stop_trqauth() {
+        start-stop-daemon --retry 5 --stop --quiet --exec $TORQUE_DIR/trqauthd
+        echo " pbs trqauth"
+}
+
 stop_daemons() {
         if [ "$PBS_SERVER" = "1" ]
@@ -110,5 +125,4 @@
         fi
 }
-
 
 ## Check permissions and directories
@@ -171,6 +185,13 @@
         ;;
 
+        restart-server)
+                echo "Restarting pbs trqauthr: "
+                stop_trqauth
+                sleep 1
+                start_trqauth
+        ;;
+
         *)
-                echo "Usage: $0 {restart|start|stop|restart-mom|restart-server|restart-sched}\n" >&2
+                echo "Usage: $0 {restart|start|stop|restart-mom|restart-server|restart-sched|restart-trqauth}\n" >&2
                 exit 1
         ;;
Index: trunk/patches/apply
===================================================================
--- trunk/patches/apply	(revision 53)
+++ trunk/patches/apply	(revision 55)
@@ -13,15 +13,17 @@
 #cp debian/patches/pbs_mkdirs.in buildutils 
 
-r=`grep -c 2.1.0 CHANGELOG`
-case `uname -r` in
-	2.6*)
-		if [ $r -eq 0 ]
-		then
-			touch torque_oldconfigure
-		else
-			touch torque_newconfigure
-		fi
-	;;
-esac
+## We do not need this anymore
+#
+#r=`grep -c 2.1.0 CHANGELOG`
+#case `uname -r` in
+#	2.6*)
+#		if [ $r -eq 0 ]
+#		then
+#			touch torque_oldconfigure
+#		else
+#			touch torque_newconfigure
+#		fi
+#	;;
+#esac
 
 # Always do this patch
Index: trunk/rules
===================================================================
--- trunk/rules	(revision 53)
+++ trunk/rules	(revision 55)
@@ -23,5 +23,5 @@
 
 	# apply some patches
-	debian/patches/apply
+	#debian/patches/apply
 
 	touch patched
@@ -77,5 +77,5 @@
 	dh_installdebconf
 	dh_compress
-	dh_fixperms -Xpbs_iff
+	dh_fixperms
 	dh_installdeb 
 	dh_makeshlibs
@@ -96,16 +96,10 @@
 	# directories. Thanks to Jaap Dijkshoorn
 	#
-	cp buildutils/pbs_mkdirs debian/torque/usr/sbin
+	#cp buildutils/pbs_mkdirs debian/torque/usr/sbin
 
 	# Not in the standard install ;-)
 	#
-	cp src/include/rm.h debian/torque/usr/include/torque
-	cp src/include/log.h debian/torque/usr/include/torque
-
-	#
-	# pbs_iff permissions must suid root
-	#
-	chown root.root debian/torque/usr/sbin/pbs_iff
-	chmod 4755 debian/torque/usr/sbin/pbs_iff
+	#cp src/include/rm.h debian/torque/usr/include/torque
+	#cp src/include/log.h debian/torque/usr/include/torque
 
 	dh_builddeb
